> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathstack.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Tenant Configuration

> This endpoint gets a Tenant.



## OpenAPI

````yaml openapi_2024-03-27 get /tenant/configuration
openapi: 3.1.0
info:
  title: FastAPI
  version: '2024-03-27'
servers:
  - url: https://api.pathstack.io
    description: PathStack production environment
security: []
paths:
  /tenant/configuration:
    get:
      tags:
        - Tenants
      summary: Tenant Configuration
      description: This endpoint gets a Tenant.
      operationId: tenant_configuration_tenant_configuration_get
      parameters:
        - name: code
          in: query
          required: true
          schema:
            type: string
            description: Authorization token provided by tenancy owner.
            title: Code
          description: Authorization token provided by tenancy owner.
        - name: x-api-version
          in: header
          required: false
          schema:
            type: string
            format: date
            default: '2024-03-27'
            title: X-Api-Version
          examples:
            default:
              value: '2024-03-27'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Success_TenantConfigurationResponse_'
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 400
                        title: Error code
                      message:
                        type: string
                        example: Invalid JWT format
                        title: Error message
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 401
                        title: Error code
                      message:
                        type: string
                        example: >-
                          Authentication header is missing, or token is
                          invalid/expired.
                        title: Error message
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 403
                        title: Error code
                      message:
                        type: string
                        example: You do not have access to this resource
                        title: Error message
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 404
                        title: Error code
                      message:
                        type: string
                        example: Device with ID <device_id> not found
                        title: Error message
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 422
                        title: Error code
                      message:
                        type: string
                        example: Field required
                        title: Error message
                      loc:
                        items:
                          anyOf:
                            - type: string
                            - type: integer
                        type: array
                        title: Location
                      msg:
                        type: string
                        title: Message
                      type:
                        type: string
                        title: Error Type
          description: Unprocessable Entity
components:
  schemas:
    Success_TenantConfigurationResponse_:
      properties:
        data:
          $ref: '#/components/schemas/TenantConfigurationResponse'
          description: Successful response payload
      type: object
      required:
        - data
      title: Success[TenantConfigurationResponse]
    TenantConfigurationResponse:
      properties:
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Url
        configuration:
          anyOf:
            - $ref: '#/components/schemas/TenantConfiguration'
            - type: 'null'
      type: object
      required:
        - logo_url
        - configuration
      title: TenantConfigurationResponse
    TenantConfiguration:
      properties:
        providers:
          anyOf:
            - items:
                $ref: '#/components/schemas/ProviderEnum'
              type: array
            - type: 'null'
          title: Providers
        api_version:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Api Version
      type: object
      title: TenantConfiguration
    ProviderEnum:
      type: string
      enum:
        - mtdata
        - geotab
        - navman
        - mixtelematics
        - radius
        - verizon_connect
        - volvo
        - fleetsu
        - digital_matter
        - netstar
        - netstar_v2
        - webfleet
        - scania
        - linxio
        - geoforce
        - michelin_connected_fleet
        - navixy
        - netcorp
        - mapon
      title: ProviderEnum

````